package org.seasar.jsf.runtime;

import javax.servlet.jsp.PageContext;

import org.seasar.jsf.JsfConfig;
import org.seasar.jsf.JsfContext;
import org.seasar.jsf.TagPool;

/**
 * @author higa
 *  
 */
public class JsfContextImpl implements JsfContext {

	private PageContext pageContext;

	private JsfConfig jsfConfig;

	private TagPool tagPool;

	public JsfContextImpl(PageContext pageContext, JsfConfig jsfConfig,
			TagPool tagPool) {

		this.pageContext = pageContext;
		this.jsfConfig = jsfConfig;
		this.tagPool = tagPool;
	}

	public PageContext getPageContext() {
		return pageContext;
	}

	public JsfConfig getJsfConfig() {
		return jsfConfig;
	}

	public TagPool getTagPool() {
		return tagPool;
	}
}